/* Terraform - (C) 1997-1999 Robert Gasch (Robert_Gasch@peoplesoft.com)
 *  - www.peoplesoft.com/peoplepages/g/robert_gasch/terraform/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */


#ifndef _TF_WINDOW_MAIN_H
#define _TF_WINDOW_MAIN_H


#include <gtk--.h>
#include <gtk/gtk.h>
#include "GuiDialogOAC.h"
#include "GuiDialogYN.h"
#include "GuiDialogAbout.h"
#include "TFWindowBase.h"


/*
 *  TFWindowMain: the main (drawing) window for terraformer. Extends
 * 	TFWindowBase to inherit the shared dialogs.
 */
class TFWindowMain : public TFWindowBase
	{
	public: 
				TFWindowMain (FlexArray *wList); 
		virtual		~TFWindowMain (); 
		virtual void 	quit ();

	protected: 
		virtual void	fileMenuCallback (string m);
		void            fileSelectionOK ();
                void            fileSelectionCancel ();
                void            fileSelection ();
		void		buildWindow ();

		Gtk_AccelGroup		d_accelGroup;
		Gtk_VBox		d_vBox;
		Gtk_Window		d_win;
		Gtk_ObjectHandle<Gtk_MenuBar>  d_menuBarHandle;
		Gtk_FileSelection	*d_fileSelection;
		Gtk_ItemFactory		*d_itemFactory;
		GuiDialogOAC		*d_genSSynthDialog,
					*d_genSubdivDialog;
	};


#endif // _TF_WINDOW_MAIN_H

